add workaround for broken xz in Archiving repo

OBS-URL: https://build.opensuse.org/package/show/Archiving/innoextract?expand=0&rev=2
This commit is contained in:
Pascal Bleser 2012-04-01 21:55:25 +00:00 committed by Git OBS Bridge
parent 72f5d3c4af
commit 22a64968b8

View File

@ -41,7 +41,7 @@ supports installers created by Inno Setup 1.2.10 to 5.4.3.
# => crude workaround:
%if 0%{?suse_version} == 1210
%__install -d lzma/lib
matches=$(/bin/ls -1 /%{_lib}/liblzma.so.*.*.* | wc -l)
matches=$(/bin/ls -1 /%{_lib}/liblzma.so.*.*.* %{_libdir}/liblzma.so.*.*.* | wc -l)
[ $matches -gt 0 ] || { echo 'ERROR: failed to find any match for /%{_lib}/liblzma.so.*.*.*' >&2; exit 1; }
[ $matches -gt 1 ] && { echo 'ERROR: found too many matches for /%{_lib}/liblzma.so.*.*.*' >&2; exit 1; }
#'